Skip to main content
`Ctrl`+`K`

# TaoSetConstraintsRoutine

Sets a function to be used to compute constraints. Tao only handles constraints under certain conditions, see TAO: Optimization Solvers for details

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConstraintsRoutine(Tao tao, Vec c, PetscErrorCode (*func)(Tao tao, Vec x, Vec c, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- c - A vector that will be used to store constraint evaluation

- func - the bounds computation routine

- ctx - [optional] user-defined context for private data for the constraints computation (may be `NULL`)

## Calling sequence of `func`

- tao - the `Tao` solver

- x - point to evaluate constraints

- c - vector constraints evaluated at `x`

- ctx - the (optional) user-defined function context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetObjective()`, `TaoSetHessian()`, `TaoSetObjectiveAndGradient()`, `TaoSetVariablevBounds()`

## Level

intermediate

## Location

src/tao/interface/taosolver_bounds.c

## Examples

src/tao/complementarity/tutorials/blackscholes.c
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/pde_constrained/tutorials/hyperbolic.c
src/tao/complementarity/tutorials/minsurf1.c
src/tao/pde_constrained/tutorials/parabolic.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages